Subject: Re: BASH under B19
From: [email-masked] (Christopher G. Faylor)

16 Apr 1998 22:14:49 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Matt Stupple <[email-masked]> wrote:
>Bob McGowan wrote:
>> 
>> I am a bit confused by the second paragraph.  In the usual DOS
>> command.com and, I thought, in the cmd.exe of WinNT, a ^C is simply an
>> interrupt.  Unlike UNIX, it cannot be changed, that I know of, by any
>> simple command interface.  Regardless, it is just an interrupt and
>> should stop a running process.  If the Cygwin stuff is supposed to
>> maintain some compatability with the MS environment, then I do not see
>> why it would be necessary or desireable to have new threads spawned by
>> this key sequence.
>> 
>
>This is a straight copy from the MSVC help on the signal() function:

Actually, Cygwin32 does *not* start a new thread when ^C is hit.  A ^C
should behave just like UNIX.  It should either stop your process or,
in the case of a shell, it should intercept the signal and "do something".

MSVC does start a new thread when a ^C is hit.  Cygwin32 doesn't.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada